Problema crash e lag

Tyrrhenus

Super Postatore
Ho da poco comprato un pc nuovo, a livello di hardware non dovrebbe avere problemi a supportare Minecraft...
(i7-3770k, con 8gb di ram e un Nvidia 550ti).

Vi spiego il "semplice" ma fastidioso problema: Starto il game, SP o MP non ha importanza per 5 minuti gioco tranquillo, senza problemi, ma poi inizia a laggare, a scendere su i 2 fps e poi crasha.. Non esce nessun errore nè nulla. Comunque una volta crashato devo riavviare il pc, perchè il client non starta più.. (ho provato a settare il java 64 bit, ma non funziona )
 

Tenebro

Super Postatore
  • Hai l'ultima versione dei driver video installati? Se no, aggiornali.
  • Hai l'ultima versione di Java 7 installata? Se no, aggiornala.
  • Hai più versioni di Java installate? Se si, disinstalla TUTTO eccetto l'ultima versione.
  • Hai applicato qualche mod al client o qualche texture pack? Se si, installa il client vanilla (privo di qualsiasi mod o texture pack), disponibile sul sito ufficiale di Minecraft.
  • Se il problema continua a persistere, installa l'ultima versione delle LWJGL nel client vanilla di Minecraft.
  • Se il problema continua a persistere, prova ad usare Game Booster per escludere un eventuale conflitto con qualche altro processo.


Fai sapere se il problema si risolve o meno.

Ciao :)
 

Tyrrhenus

Super Postatore
  • Hai l'ultima versione dei driver video installati? Se no, aggiornali.
  • Hai l'ultima versione di Java 7 installata? Se no, aggiornala.
  • Hai più versioni di Java installate? Se si, disinstalla TUTTO eccetto l'ultima versione.
  • Hai applicato qualche mod al client o qualche texture pack? Se si, installa il client vanilla (privo di qualsiasi mod o texture pack), disponibile sul sito ufficiale di Minecraft.
  • Se il problema continua a persistere, installa l'ultima versione delle LWJGL nel client vanilla di Minecraft.
  • Se il problema continua a persistere, prova ad usare Game Booster per escludere un eventuale conflitto con qualche altro processo.


Fai sapere se il problema si risolve o meno.

Ciao :)
I video driver son gia aggiornati, java ho il 6 e mi dice che è gia l'ultima versione.. non uso mod nè texture pack e LWGJL non cambia la storia..
 

Tenebro

Super Postatore
Sradica la versione 6 e metti la 7. Con Minecraft è altamente consigliato l'uso della versione 7 di Java. La 6 la devi proprio togliere, perché se hai sia la 6 che la 7, mi sa che ti prende la 6. Ora che ci penso, avevo pure io un problema simile al tuo (dopo diversi minuti di gioco andava in crash), ed ho risolto aggiornando Java alla versione 7.
Se anche con la versione 7 di Java continua a darti problemi, allora fai il downgrade di Minecraft dalla versione 1.3.1 alla versione 1.2.5, e vedi come funge. Se i problemi continuano a persistere, installa la mod OptiFine HD C6 Multi-Core for Minecraft 1.2.4 and 1.2.5 (lascia perdere Optifine per la versione 1.3.1, da ancora problemi) e vedi come va.
 

Tenebro

Super Postatore
Si, vero. L'unica cosa è che si mette Java a 64 bit, si deve mettere anche la versione a 32 bit, altrimenti le applicazioni Java su internet non funzioneranno (a meno che i usa IE64).
 

Tyrrhenus

Super Postatore
Sradica la versione 6 e metti la 7. Con Minecraft è altamente consigliato l'uso della versione 7 di Java. La 6 la devi proprio togliere, perché se hai sia la 6 che la 7, mi sa che ti prende la 6. Ora che ci penso, avevo pure io un problema simile al tuo (dopo diversi minuti di gioco andava in crash), ed ho risolto aggiornando Java alla versione 7.
Se anche con la versione 7 di Java continua a darti problemi, allora fai il downgrade di Minecraft dalla versione 1.3.1 alla versione 1.2.5, e vedi come funge. Se i problemi continuano a persistere, installa la mod OptiFine HD C6 Multi-Core for Minecraft 1.2.4 and 1.2.5 (lascia perdere Optifine per la versione 1.3.1, da ancora problemi) e vedi come va.
Si ma come si fa, ho seguito il tutorial ( quello dove si deve modificare la stringa.. ) infatti non andava un tubo, ho provato a togliere del tutto il 6, reinstallare il 7, ma così minecraft proprio non vedeva il java.. Quindi o ho sbagliato io a seguire quel tutorial o non saprei altro, anche perchè downgradare non mi va, essendo che tutto il "team" sta su un server 1.3.1
 

Tenebro

Super Postatore
Si ma come si fa, ho seguito il tutorial ( quello dove si deve modificare la stringa.. )
Quale tutorial? Lo potresti linkare? Non ce l'ho presente ...

ho provato a togliere del tutto il 6, reinstallare il 7, ma così minecraft proprio non vedeva il java.. Quindi o ho sbagliato io a seguire quel tutorial o non saprei altro, anche perchè downgradare non mi va, essendo che tutto il "team" sta su un server 1.3.1
Java 7 te lo DEVE vedere. L'hai scaricato di qua la versione a 32bit o quella a 64 bit? Hai riavviato il computer? Non è per caso un problema di associazioni (per cui l'installer non ti ha associato l'estensione JAR a Java)? Con la versione 7 deve funzionare obbligatoriamente, se non si avvia, vuol dire che è proprio qui il problema. E che quindi bisogna risolverlo. Avendo solo Java 7 installato, puoi fare un test avviando qualche altro programma java per capire se Java 7 è stato installato correttamente o meno.
Per il fatto del downgrade, è solo per prova, per vedere se anche con la versione precedente non funziona o se è un problema solo della 1.3.1. Se è un problema solo della nuova versione, puoi fare ricerche su Google in modo più mirato per capire qual'è l'inghippo.
 

Tenebro

Super Postatore
Installa solo ed esclusivamente la versione a 64 bit di Java 7, in questo modo non devi modificare niente. E prova ad avviarlo direttamente così, con un semplice doppio click. Se non apre il file jar, fai "Apri con..." e seleziona la Java platform. Se funziona, allora puoi pensare di installare anche Java 7 a 32 bit e fare come ti dice quella guida la. Attenzione che il path di Java 7 è diverso rispetto a quello del 6.
 

Tenebro

Super Postatore
Essendo presente sul sistema esclusivamente Java 7 a 64 bit, devi fare doppio click sul JAR, non avviarlo da file batch. Se continua a dare lo stesso errore, clicca col destro e fai "Apri con ...": da li seleziona l'unica Java platform disponibile nell'elenco.
 

Tyrrhenus

Super Postatore
Essendo presente sul sistema esclusivamente Java 7 a 64 bit, devi fare doppio click sul JAR, non avviarlo da file batch. Se continua a dare lo stesso errore, clicca col destro e fai "Apri con ...": da li seleziona l'unica Java platform disponibile nell'elenco.
Niente, non so.. alla fine ho downgradado è la versione vecchia funziona che è un piacere...
 
Alto